HomeDocumentationRecipesAPI ReferenceChangelog
Arianee Protocol DocumentationLog In
Documentation
These docs are for v1.9. Click to read the latest docs for v2.1.

Generate Proof of Ownership

Allow your users to prove their digital passport ownership.

Before you begin

As a brand, you wish to allow your users to prove their digital passport ownership. Our API generates a link to read the digital passport content and prove this user owns it.

⚠️

To generate a proof of ownership, the request must be initiated by the current digital passport owner.

Let's start 🚀

Use the wallet/createCertificateProofLink.

InputMandatoryTypeDescription
certificateIdNumberDigital passport identification number.
passphraseObjectDigital passport passphrase is used in the proof of ownership link.
curl -X POST "https://custodial.arianee.com/testnet/wallet/createCertificateProofLink" -H "accept: application/json" -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..." -H "Content-Type: application/json" -d "[983002786,\"qoy7bdpri6me5\"]"

Result:

httpCodeDescription
200The link is generated.
400The wallet may not be the digital passport owner.
{
  "certificateId": 983002786,
  "passphrase": "qoy7bdpri6me5",
  "link": "https://test.arian.ee/proof/983002786,qoy7bdpri6me5"
}
{
  "receipt": {
    "transactionHash": "0xe40160673691364d3b67a11a8536d0591262c9445dbd59833260e6f22b7b907c",
    "transactionIndex": 1,
    "blockHash": "0xef7ac8862725c48161f84df81627f1d0f024c2cb51bf22777febb3751931d37e",
    "blockNumber": 26834339,
    "cumulativeGasUsed": 143703,
    "gasUsed": 28269,
    "effectiveGasPrice": "0x59682f000",
    "from": "0xe522d3218602e6a783dabfd77993d4bf3e9af339",
    "to": "0x512c1fcf401133680f373a386f3f752b98070bc5",
    "contractAddress": null,
    "logs": [],
    "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "status": false,
    "error": "Reverted 0x303037303034",
    "type": "0x0"
  },
  "error": {
    "receipt": {
      "transactionHash": "0xe40160673691364d3b67a11a8536d0591262c9445dbd59833260e6f22b7b907c",
      "transactionIndex": 1,
      "blockHash": "0xef7ac8862725c48161f84df81627f1d0f024c2cb51bf22777febb3751931d37e",
      "blockNumber": 26834339,
      "cumulativeGasUsed": 143703,
      "gasUsed": 28269,
      "effectiveGasPrice": "0x59682f000",
      "from": "0xe522d3218602e6a783dabfd77993d4bf3e9af339",
      "to": "0x512c1fcf401133680f373a386f3f752b98070bc5",
      "contractAddress": null,
      "logs": [],
      "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
      "status": false,
      "error": "Reverted 0x303037303034",
      "type": "0x0"
    }
  }
}